#!/bin/csh
######################################################
# CONVERT English font PS file into Japanese Font file
# put this under /genesis/sys/hooks 
######################################################

if ($#argv != 2) then
	echo "Sed Script Failed.  Incorrect parameters"
	echo "Sed Script Failed.  Incorrect parameters" 1>&2 
	echo "Usage: e2j_nt.sed {Postscript file} {Output file}"
	echo "Usage: e2j_nt.sed {Postscript file} {Output file}" 1>&2
	exit
endif
set filename = $1
set outfile = $2

sed -e s/"Times-BoldItalic"/"Ryumin-Light-RKSJ-H"/g -e s/"Times-Bold"/"Ryumin-Light-RKSJ-H"/g -e s/"Times-Italic"/"Ryumin-Light-RKSJ-H"/g -e s/"Times-Roman"/"Ryumin-Light-RKSJ-H"/g -e s/"Courier-BoldOblique"/"Ryumin-Light-RKSJ-H"/g -e s/"Courier-Bold"/"Ryumin-Light-RKSJ-H"/g -e s/"Courier-Oblique"/"Ryumin-Light-RKSJ-H"/g -e s/"Courier"/"Ryumin-Light-RKSJ-H"/g -e s/"Helvetica-BoldOblique"/"GothicBBB-Medium-RKSJ-H"/g -e s/"Helvetica-Bold"/"GothicBBB-Medium-RKSJ-H"/g -e s/"Helvetica-Oblique"/"GothicBBB-Medium-RKSJ-H"/g -e s/"Helvetica"/"GothicBBB-Medium-RKSJ-H"/g $filename > $outfile
